Download it now!
Bug 94921 - Picture at wrong position after sheet copy [Comment 17]
Summary: Picture at wrong position after sheet copy [Comment 17]
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Calc-Images Cut-Copy Sheet
  Show dependency treegraph
 
Reported: 2015-10-09 20:10 UTC by OfficeUser
Modified: 2019-07-13 02:47 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
issue.ods (175.07 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-10-09 20:11 UTC, OfficeUser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description OfficeUser 2015-10-09 20:10:56 UTC
- Open the attached spreadsheet

- Right-click "Sheet2" and copy it into a new document


Note that the picture is missing in the copy.
Comment 1 OfficeUser 2015-10-09 20:11:24 UTC
Created attachment 119467 [details]
issue.ods
Comment 2 OfficeUser 2015-10-09 20:16:11 UTC
(Bug 94922 describes another problem with the same document.)
Comment 3 m.a.riosv 2015-10-09 21:59:03 UTC
Hi @OfficeUser, thanks for reporting.

Works for me with your sample file.
Win10x64
Version: 5.0.3.1 (x64) Build ID: fd8cfc22f7f58033351fcb8a83b92acbadb0749e

Right-Click - Move/Copy sheet - Copy - To document - New document.
Comment 4 Julien Nabet 2015-10-10 06:24:17 UTC
On pc Debian x86-64 with LO Debian package 5.0.2.2, I don't reproduce this.
In fact, I thought first I reproduced this but in fact the image in the copied sheet is more at right (columns J, K, L and M) than in original sheet (column G).
Comment 5 raal 2015-10-10 06:34:33 UTC
(In reply to Julien Nabet from comment #4)
> On pc Debian x86-64 with LO Debian package 5.0.2.2, I don't reproduce this.
> In fact, I thought first I reproduced this but in fact the image in the
> copied sheet is more at right (columns J, K, L and M) than in original sheet
> (column G).

I can confirm with Version: 5.1.0.0.alpha1+
Build ID: 8273350ff48f198efc9dc9c5de5519b8cbdc0cb3
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-10-07_05:54:26

works OK in LibreOffice 3.5.0, Build ID: d6cde02 -> regression

@Reporter -  check again if picture is really lost. If picture is only in another position, change status to NEW and change bug's title. If picture is really lost, set again to Unconfirmed. Thanks
Comment 6 Jean-Baptiste Faure 2015-10-10 15:19:27 UTC
Idem for me as Julien.
It works as expected if the picture is anchored to the page instead of anchored to the cell.

Best regards. JBF
Comment 7 OfficeUser 2015-10-10 15:46:08 UTC
@raal:

Thanks for investigating in this. I can confirm that the picture is moved more right (not missing).

=> Status = new
=> Summary changed
Comment 8 raal 2015-10-30 06:19:39 UTC
bibisect-win32-5.0, oldest version contains bug too.
git checkout oldest: Version: 4.5.0.0.alpha0+
Build ID: 57d6b92b69a31260dea0d84fcd1fc5866ada7adb
Comment 9 raal 2015-11-30 17:42:07 UTC
bibisect-43max, oldest version contains bug too.
git checkout oldest: Version:Version: 4.2.0.0.alpha1+
Comment 10 steve -_- 2016-08-17 07:43:33 UTC
Persisting

Version: 5.3.0.0.alpha0+
Build ID: 989e8bc0d792f0dc5778746fac45de129a22d7ac
CPU Threads: 4; OS Version: Mac OS X 10.11.6; UI Render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2016-08-16_01:29:50
Locale: de-DE (de.UTF-8); Calc: group
Comment 11 Xisco Faulí 2016-09-12 12:45:50 UTC
Adding keyword 'bibisectRequest'.
Comment 12 Xisco Faulí 2016-10-05 21:34:16 UTC
Regression introduced by

author	Noel Power <noel.power@suse.com>	2013-01-23 15:25:41 (GMT)
committer	Noel Power <noel.power@suse.com>	2013-01-23 15:54:37 (GMT)
commit	bdb66834887ec58cd9c602841c185a6629b13d6b (patch)
tree	c881604cacae0e917299f2b141588de20b4a248d
parent	e2ed38cbfdc75a49155444643d7123dead00170f (diff)

don't use ScDrawLayer::GetObjDataTab to get Anchor fix for fdo#59325

Seems ScDrawLayer::GetObjDataTab was used mistakenly thinking that only an anchor
for that tab would be returned ( but actually whatever anchor is returned gets the tab set )

Adding Cc: to Noel Power
Comment 13 QA Administrators 2018-07-10 02:37:10 UTC Comment hidden (obsolete)
Comment 14 OfficeUser 2018-07-10 13:36:27 UTC
Still reproducible with:

Version: 6.0.3.2
Build ID: 8f48d515416608e3a835360314dac7e47fd0b821
CPU threads: 8; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 15 Xavier Van Wijmeersch 2018-07-10 17:45:21 UTC
Cannot reproduce with

Version: 6.2.0.0.alpha0+
Build ID: 35bc6242f8ec22779144b4b1f3e876da239ddd85
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group threaded
Comment 16 OfficeUser 2018-07-12 14:05:27 UTC
Still reproducible with:

Version: 6.2.0.0.alpha0+
Build ID: 8e9d43546c8e46ea635472ddf07f5c183dc13360
CPU threads: 8; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-07-12_01:06:03
Locale: de-DE (de_DE.UTF-8); Calc: group threaded
Comment 17 OfficeUser 2018-07-12 14:08:40 UTC
@Xavier here are the steps:

- Open the attached spreadsheet

- Right-click "Sheet2"

- Click "Move or Copy Sheet..."

- Set Location to "- news document -"

- Click OK


Note that the picture is missing in the news sheet copy.
Comment 18 QA Administrators 2019-07-13 02:47:53 UTC
Dear OfficeUser,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug